<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('quota', function (Blueprint $table) {
            $table->id();
            $table->integer('agency_id')->nullable()->comment('分公司id');
            $table->integer('collaborator_id')->comment('合作商id');
            $table->integer('num')->comment('名额');
            $table->string('agreement_number')->nullable()->comment('合作协议号');
            $table->integer('operate_user_id')->nullable()->comment('操作人id');
            $table->string('operate_user_name')->nullable()->comment('操作人名');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('quota');
    }
};
